org.wildfly.swarm.undertow.descriptors

## Class CertInfo

- java.lang.Object
- - org.wildfly.swarm.undertow.descriptors.CertInfo

-     public class CertInfo
      extends Object

  Author:
    George Gastaldi

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CertInfo` | `INVALID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CertInfo(String generateSelfSignedCertificateHost, String keystoreRelativeTo)`
    `CertInfo(String keystorePath, String keystorePassword, String keyPassword, String keystoreAlias)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `generateSelfSignedCertificateHost()`
    `boolean` | `isValid()`
    `String` | `keyPassword()`
    `String` | `keystoreAlias()`
    `String` | `keystorePassword()`
    `String` | `keystorePath()`
    `String` | `keystoreRelativeTo()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INVALID

          public static final CertInfo INVALID

  - ### Constructor Detail

    - #### CertInfo

          public CertInfo(String keystorePath,
                          String keystorePassword,
                          String keyPassword,
                          String keystoreAlias)

    - #### CertInfo

          public CertInfo(String generateSelfSignedCertificateHost,
                          String keystoreRelativeTo)

  - ### Method Detail

    - #### keystorePath

          public String keystorePath()

    - #### keystorePassword

          public String keystorePassword()

    - #### keyPassword

          public String keyPassword()

    - #### keystoreAlias

          public String keystoreAlias()

    - #### generateSelfSignedCertificateHost

          public String generateSelfSignedCertificateHost()

    - #### keystoreRelativeTo

          public String keystoreRelativeTo()

    - #### isValid

          public boolean isValid()

Copyright © 2018 JBoss by Red Hat. All rights reserved.